# CreateOverpaymentAllocation

Allows you to allocate overpayments to outstanding invoices. For more information on overpayments in Xero visit the [Xero Business Help Centre](https://help.xero.com/int/BankAccounts_Overpayments).

**Note:**

* Create Overpayments using the CreateBankTransaction function.
* Refund Overpayments using the CreatePayment function.

### Properties <a href="#properties" id="properties"></a>

**Authentication**

Authentication values used to connect to the Xero server.

**Overpayment id**

The OverpaymentID of the overpayment to allocate.

**Allocation**

The data for the allocation.

### Output <a href="#output" id="output"></a>

**OverpaymentAllocation**

The overpayment allocation created.

### Links <a href="#links" id="links"></a>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/overpayments/createoverpaymentallocation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
